/***************************************************************************
 *   Copyright (C) 2009, 2010 by Stephane List                             *
 *   slist@lilotux.net                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
///////////////////////////////////////////////////////////
/// rtp.h
/// Protocole RTP - Interface

#ifndef _RTP_H_
#define _RTP_H_

#include <QtGlobal>

class Rtp
{
	public:
		struct Header_t
		{
			quint8 unused;
			quint8 paytype;
			quint16 seq_number;
			quint32 timestamp;
			quint32 src;

                        //quint32 packetizer_unused; // 4 packetizer bytes for h264
		};
		Rtp();
		virtual ~Rtp();
};

const unsigned char MARKER_BIT = 0x80;
const int RTP_HEADER_LEN = sizeof (Rtp::Header_t);

#endif

